@iuri-aranda: Seems like @Vinicius-Batista was able to get it to compile. I will revisit this to see why I was missing libusb-1.0 and libftdi1.